%define _use_internal_dependency_generator 0

Name:		perl-ModuleList
Version:	0.1
Release:	2%{?dist}
Epoch:		100
Summary:	A Perl module that get list of all installed modules
Summary(ko):	설치된 모든 펄 모듈을 구하는 펄 모듈

Group:		Applications/CPAN
License:	Perl
Source0:	ModuleList-0.1.tar.xz
Patch0:		ModuleList-unuseless-package.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArchitectures: noarch

BuildRequires:	perl-ExtUtils-MakeMaker
Requires:	perl

%description
%{summary}


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -q -n ModuleList-%{version}
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod > ModuleList-%{version}-filelist
if [ "$(cat ModuleList-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%clean
rm -rf %{buildroot}


%files -f ModuleList-%{version}-filelist
#defattr(-,root,root,-)

%changelog
* Tue Feb  2 2016 JoungKyun.Kim <http://oops.org> 100:0.1-2%{?dist}
- fixed unused package

* Fri Dec  5 2014 JoungKyun.Kim <http://oops.org> 100:0.1-1%{?dist}
- First build

